
package com.tmerclub.cloud.multishop.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 商家提现申请信息DTO
 * @author tmerclub
 */
@Data
public class ShopWithdrawCashDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "提现id")
    private Long cashId;

    @Schema(description = "支付系统类型0默认1通联")
    private Integer paySysType;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "审核人id")
    private Long auditorId;

    @Schema(description = "提现金额")
    private Long amount;

    @Schema(description = "审核时间")
    private Date auditingTime;

    @Schema(description = "状态(0:未审核、1:已通过 -1:未通过 2:发放成功 3:发放失败)")
    private Integer status;

    @Schema(description = "平台备注")
    private String remarks;

    @Schema(description = "店铺备注")
    private String shopRemarks;

    @Schema(description = "付款户名")
    private String payingAccount;

    @Schema(description = "汇款账户")
    private String payingCardNo;

    @Schema(description = "汇款时间")
    private Date payingTime;

    @Schema(description = "收款银行卡id")
    private Long shopBankCardId;

    @Schema(description = "验证码")
    private String validCode;

    @Schema(description = "店铺名称")
    private String shopName;

    @Schema(description = "通联提现状态 0.待支付 1.申请成功(还没确认)  2.提现成功 3.提现失败")
    private Integer allinpayStatus;

    @Schema(description = "通联提现订单号")
    private String bizOrderNo;

    @Schema(description = "提现失败原因")
    private String payFailMessage;

}
