
package com.tmerclub.cloud.supplier.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 供应商工商信息
 *
 * @author lhd
 * @date 2022-03-14 17:04:32
 */
@Data
public class SupplierCompany extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 供应商工商信息id
     */
    private Long supplierCompanyId;

    /**
     * 供应商ID
     */
    private Long supplierId;

    /**
     * 统一社会信用代码
     */
    private String creditCode;

    /**
     * 企业名称
     */
    private String firmName;

    /**
     * 住所
     */
    private String residence;

    /**
     * 法定代表人
     */
    private String representative;

    /**
     * 法人身份证号
     */
    private String legalIds;

    /**
     * 法人手机号
     */
    private String legalPhone;

    /**
     * 注册资本（万元）
     */
    private Double capital;

    /**
     * 成立日期
     */
    private Date foundTime;

    /**
     * 营业起始日期
     */
    private Date startTime;

    /**
     * 营业终止日期
     */
    private Date endTime;

    /**
     * 经营范围
     */
    private String businessScope;

    /**
     * 营业执照
     */
    private String businessLicense;

    /**
     * 身份证正面
     */
    private String identityCardFront;

    /**
     * 身份证反面
     */
    private String identityCardLater;

    /**
     * 审核状态：1：已通过 0待审核 -1未通过
     */
    private Integer status;


}
