
package com.tmerclub.cloud.supplier.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;


/**
 * 供应商用户
 *
 * @author lhd
 * @date 2022-03-14 17:04:32
 */
@Data
public class SupplierUser extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 供应商用户id
     */
    private Long supplierUserId;

    /**
     * 关联供应商ID(-1代表还没有申请创建供应商)
     */
    private Long supplierId;

    /**
     * 昵称
     */
    private String nickName;

    /**
     * 员工编号
     */
    private String code;

    /**
     * 联系方式
     */
    private String phoneNum;

    /**
     * 是否已经设置账号 0:未设置 1:已设置
     */
    private Integer hasAccount;

}
