
package com.tmerclub.cloud.api.platform.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;
import java.util.Set;

/**
 * 系统密钥VO
 * @author TRACK
 */
@Data
public class SysAccessKeyVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "id")
    private Long sysAccessKeyId;

    @Schema(description = "名称")
    private String name;

    @Schema(description = "备注")
    private String remark;

    @Schema(description = "账号id")
    private String accessId;

    @Schema(description = "密钥")
    private String accessKey;

    @Schema(description = "系统类型 0.c端用户 1.商家端 2.平台端" )
    private Integer sysType;

    @Schema(description = "密钥权限类型 0.全部权限 1.指定权限" )
    private Integer premType;

    @Schema(description = "密钥可用店铺id,如果为0则为所有店铺" )
    private Long usabilityShopId;

    @Schema(description = "菜单id列表" )
    private List<Long> menuIdList;

    @Schema(description = "授权" )
    private List<UriPermissionVO> prems;

    @Schema(description = "菜单资源id")
    private List<Long> menuPermissionId;


}
