
package com.tmerclub.cloud.api.supplier.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 供应商详情VO
 *
 * @author tmerclub
 * @date 2020-12-05 15:50:25
 */
@Data
public class SupplierApiDetailVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "供应商id")
    private Long supplierId;

    @Schema(description = "供应商店铺名称")
    private String supplierShopName;

    @Schema(description = "供应商名称")
    private String supplierName;

    @Schema(description = "供应商简介")
    private String intro;

    @Schema(description = "接收短信号码")
    private String noticeMobile;

    @Schema(description = "供应商logo(可修改)")
    private String supplierLogo;

    @Schema(description = "供应商状态(-1:已删除 0: 停业中 1:营业中 2:平台下线 3:开店申请待审核 4:供应商申请中 5:上线申请待审核)")
    private Integer supplierStatus;

    @Schema(description = "是否优选好店 1.是 0.不是")
    private Integer isPreferred;

    @Schema(description = "供应商收藏数量")
    private Long collectionNum;

    @Schema(description = "移动端背景图")
    private String mobileBackgroundPic;

    @Schema(description = "pc背景图")
    private String pcBackgroundPic;

    @Schema(description = "联系人姓名")
    private String contactName;

    @Schema(description = "联系方式")
    private String contactPhone;

    @Schema(description = "详细地址")
    private String detailAddress;

    @Schema(description = "邮箱")
    private String email;

    @Schema(description = "供应商账号")
    private String supplierAccount;

    @Schema(description = "账号状态， 1:启用 0:禁用 -1:删除")
    private Integer accountStatus;


    @Schema(description = "省ID")
    private Long provinceId;

    @Schema(description = "省")
    private String province;

    @Schema(description = "城市ID")
    private Long cityId;

    @Schema(description = "城市")
    private String city;

    @Schema(description = "区ID")
    private Long areaId;

    @Schema(description = "区")
    private String area;

    @Schema(description = "签约起始时间")
    private Date contractStartTime;

    @Schema(description = "签约终止时间")
    private Date contractEndTime;

    @Schema(description = "供应商类型")
    private Integer type;


    @Schema(description = "是否在通联创建了企业会员 0否1是")
    private Integer isCreateMember;

    @Schema(description = "是否在通联绑定了手机号 0否1是")
    private Integer isBindPhone;

    @Schema(description = "企业信息审核状态 0.未提交 1.待审核 2.审核成功 3.审核失败")
    private Integer companyInfoProcessStatus;

    @Schema(description = "影印件采集审核状态  0.未上传 1.待审核 2.只有工商认证通过 3.只有法人信息通过 4.均审核通过")
    private Integer idCardCollectProcessStatus;

    @Schema(description = "通联店铺状态 0未开通 1营业中 2平台下线 3上线待审核 4开店待审核")
    private Integer allinpaySupplierStatus;

    @Schema(description = "企业账户提现协议编号")
    private String companyAcctProtocolNo;

    @Schema(description = "法人账户提现协议编号")
    private String legalAcctProtocolNo;


}
