
package com.tmerclub.cloud.api.supplier.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 银行卡信息VO
 *
 * @author lhd
 * @date 2022-03-14 17:04:32
 */
@Data
public class SupplierBankCardVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "银行卡自增id")
    private Long supplierBankCardId;

    @Schema(description = "供应商ID")
    private Long supplierId;

    @Schema(description = "银行名称")
    private String bankName;

    @Schema(description = "银行开户行")
    private String openingBank;

    @Schema(description = "收款方户名")
    private String recipientName;

    @Schema(description = "收款方账户")
    private String cardNo;

    @Schema(description = "是否默认 1:默认 0:非默认")
    private Integer isDefault;

    @Schema(description = "支行名称")
    private String branchName;

    @Schema(description = "1.正常，-1.已删除")
    private Integer status;

    @Schema(description = "银行卡/账户属性 0个人银行卡 1企业对公账户")
    private Integer bankCardPro;

    @Schema(description = "支付行号")
    private String unionBank;

    @Schema(description = "卡号")
    private String bankCardNo;

}
