
package com.tmerclub.cloud.api.coupon.dto;

import com.tmerclub.cloud.common.order.vo.ShopCartVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 选择优惠券
 * @author tmerclub
 * @date 2020/12/17
 */
@Data
public class ChooseCouponDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "用户是否改变了优惠券的选择，如果用户改变了优惠券的选择，则完全根据传入参数进行优惠券的选择")
    private Integer userChangeCoupon;

    @Schema(description = "优惠券id数组")
    private List<Long> couponIds;

    @Schema(description = "购物车信息")
    private List<ShopCartVO> shopCarts;

    public ChooseCouponDTO() {
    }

    public ChooseCouponDTO(Integer userChangeCoupon, List<Long> couponIds) {
        this.userChangeCoupon = userChangeCoupon;
        this.couponIds = couponIds;
    }

}
