
package com.tmerclub.cloud.api.coupon.dto;

import com.tmerclub.cloud.common.order.vo.ShopCartOrderMergerVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 平台选择优惠券
 * @author tmerclub
 * @date 2020/12/18
 */
@Data
public class PlatformChooseCouponDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "用户是否改变了优惠券的选择，如果用户改变了优惠券的选择，则完全根据传入参数进行优惠券的选择")
    private Integer userChangeCoupon;

    @Schema(description = "优惠券id数组")
    private List<Long> couponIds;

    @Schema(description = "多个店铺订单合并在一起的合并类")
    private ShopCartOrderMergerVO shopCartOrderMergerVO;

    public PlatformChooseCouponDTO() {
    }

    public PlatformChooseCouponDTO(Integer userChangeCoupon, List<Long> couponIds, ShopCartOrderMergerVO shopCartOrderMergerVO) {
        this.userChangeCoupon = userChangeCoupon;
        this.couponIds = couponIds;
        this.shopCartOrderMergerVO = shopCartOrderMergerVO;
    }

}
