
package com.tmerclub.cloud.api.distribution.bo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;


/**
 * @author cl
 * @date 2021-08-18 15:00:14
 */
@Data
public class DistributionSpuBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    @Schema(description = "分销商品表")
    private Long distributionSpuId;

    @Schema(description = "店铺名称")
    private String shopName;

    @Schema(description = "商品id")
    private Long spuId;

    @Schema(description = "商品名称")
    private String spuName;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "商品价格")
    private Long price;

    @Schema(description = "商品主图")
    private String MainImgUrl;

    @Schema(description = "奖励id")
    private Long awardId;

    @Schema(description = "状态(0:商家下架 1:商家上架 2:违规下架 3:平台审核)")
    private Integer state;

    @Schema(description = "奖励方式(0 按比例 1 按固定数值)")
    private Integer awardMode;

    @Schema(description = "上级奖励设置(0 关闭 1开启)")
    private Integer parentAwardSet;

    @Schema(description = "奖励数额(奖励方式为0时，表示百分比，为1时代表实际奖励金额）")
    private Long awardNumbers;

    @Schema(description = "上级奖励数额(奖励方式为0时，表示百分比，为1时代表实际奖励金额）")
    private Long parentAwardNumbers;

}
