
package com.tmerclub.cloud.api.delivery.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 物流订单项信息DTO
 *
 * @author tmerclub
 * @date 2020-12-07 15:10:00
 */
@Data
public class DeliveryOrderItemDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "id")
    private Long orderItemId;

    @Schema(description = "订单物流包裹id")
    private Long deliveryOrderId;

    @Schema(description = "商品图片")
    private String pic;

    @Schema(description = "商品名称")
    private String spuName;

    @Schema(description = "发货改变的数量")
    private Integer changeNum;

    @Schema(description = "供应商商品图片")
    private String supplierPic;

    @Schema(description = "供应商商品名称")
    private String supplierSpuName;


    @Override
    public String toString() {
        return "DeliveryOrderItemDTO{" +
                "orderItemId=" + orderItemId +
                ", deliveryOrderId=" + deliveryOrderId +
                ", pic='" + pic + '\'' +
                ", spuName='" + spuName + '\'' +
                ", changeNum=" + changeNum +
                ", supplierPic='" + supplierPic + '\'' +
                ", supplierSpuName='" + supplierSpuName + '\'' +
                '}';
    }
}
