
package com.tmerclub.cloud.api.delivery.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 自提点销售记录
 *
 * @author YXF
 * @date 2020-06-04 15:31:29
 */
@Data
public class StationSalesDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "支付订单数", requiredMode = Schema.RequiredMode.REQUIRED)
    private Integer payOrderNumber;

    /**
     * 平台优惠金额
     */
    private Double platformAmount;

    /**
     * 支付时间
     */
    private Date payTime;

    /**
     * 核销数量
     */
    private Integer writeOffNum;

    /**
     * 核销数量
     */
    private String userId;

    /**
     * 核销数量
     */
    private Double productNums;

    /**
     * 实际支付金额
     */
    private Double actualTotal;
    /**
     * 支付人数
     */
    private Integer userNum;

    /**
     *  支付金额 = 平台优惠金额 + 实际支付金额
     */
    @Schema(description = "支付金额", requiredMode = Schema.RequiredMode.REQUIRED)
    private Double payAmount;

    @Schema(description = "客单价", requiredMode = Schema.RequiredMode.REQUIRED)
    private Double customerUnitPrice;

    @Schema(description = "1:单天营业额，2:该月营业额", requiredMode = Schema.RequiredMode.REQUIRED)
    private Integer salesType;

    @Override
    public String toString() {
        return "StationSalesDTO{" +
                "payOrderNumber=" + payOrderNumber +
                ", platformAmount=" + platformAmount +
                ", payTime=" + payTime +
                ", writeOffNum=" + writeOffNum +
                ", userId='" + userId + '\'' +
                ", productNums=" + productNums +
                ", actualTotal=" + actualTotal +
                ", userNum=" + userNum +
                ", payAmount=" + payAmount +
                ", customerUnitPrice=" + customerUnitPrice +
                ", salesType=" + salesType +
                '}';
    }
}
