
package com.tmerclub.cloud.api.delivery.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 物流订单项信息VO
 *
 * @author tmerclub
 * @date 2020-12-07 15:10:00
 */
@Data
public class DeliveryOrderItemFeignVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "id")
    private Long deliveryOrderItemId;

    @Schema(description = "订单物流包裹id")
    private Long deliveryOrderId;

    @Schema(description = "商品图片")
    private String imgUrl;

    @Schema(description = "商品名称")
    private String spuName;

    @Schema(description = "商品数量")
    private Integer count;

    @Schema(description = "供应商商品图片")
    private String supplierImgUrl;

    @Schema(description = "供应商商品名称")
    private String supplierSpuName;


    @Override
    public String toString() {
        return "DeliveryOrderItemFeignVO{" +
                "deliveryOrderItemId=" + deliveryOrderItemId +
                ", deliveryOrderId=" + deliveryOrderId +
                ", imgUrl='" + imgUrl + '\'' +
                ", spuName='" + spuName + '\'' +
                ", count=" + count +
                ", supplierImgUrl=" + supplierImgUrl + '\'' +
                ", supplierSpuName='" + supplierSpuName + '\'' +
                '}';
    }
}
