package com.tmerclub.cloud.api.order.dto;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
/**
 * @author TRACK
 */
@Data
public class FormExcelDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 时间（报表中显示的时间字符串）
     */
    private String formatTime;

    /**
     * 总金额
     */
    private Long totalTransactionAmount;

    /**
     * 下单金额
     */
    private Long orderAmount;
    /**
     * 下单笔数
     */
    private Integer orderNums;

    /**
     * 下单商品数
     */
    private Integer productNums;

    /**
     * 下单人数
     */
    private Integer userNums;

    /**
     * 自营金额
     */
    private Long selfOperatedAmount;

    /**
     * 自营订单数
     */
    private Integer selfOperatedOrderNums;

    /**
     * 自营商品数
     */
    private Integer selfOperatedProductNums;

    /**
     * 自营下单人数
     */
    private Integer selfOperatedUserNums;

    /**
     * 支付金额
     */
    private Long payAmount;

    /**
     * 支付订单数
     */
    private Integer payOrderNums;

    /**
     * 支付商品数
     */
    private Integer payProductNums;

    /**
     * 支付人数
     */
    private Integer payUserNums;

    /**
     * 退款金额
     */
    private Long refundAmount;
    /**
     * 退款订单数
     */
    private Integer refundOrderNums;

    /**
     * 平台补贴金额
     */
    private Long platformAmount;


    @Override
    public String toString() {
        return "FormExcelDTO{" +
                "formatTime='" + formatTime + '\'' +
                ", totalTransactionAmount=" + totalTransactionAmount +
                ", orderAmount=" + orderAmount +
                ", platformAmount=" + platformAmount +
                ", orderNums=" + orderNums +
                ", productNums=" + productNums +
                ", userNums=" + userNums +
                ", selfOperatedAmount=" + selfOperatedAmount +
                ", selfOperatedOrderNums=" + selfOperatedOrderNums +
                ", selfOperatedProductNums=" + selfOperatedProductNums +
                ", selfOperatedUserNums=" + selfOperatedUserNums +
                ", payAmount=" + payAmount +
                ", payOrderNums=" + payOrderNums +
                ", payProductNums=" + payProductNums +
                ", payUserNums=" + payUserNums +
                ", refundAmount=" + refundAmount +
                ", refundOrderNums=" + refundOrderNums +
                '}';
    }
}
