
package com.tmerclub.cloud.api.order.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 订单信息
 *
 * @author tmerclub
 * @date 2020-12-05 14:13:50
 */
@Data
public class FlowOrderVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "订单ID")
    private Long orderId;

    @Schema(description = "用户ID")
    private Long userId;

    @Schema(description = "商品Id", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long spuId;

    @Schema(description = "订单金额", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long orderAmount;

    @Schema(description = "是否支付", requiredMode = Schema.RequiredMode.REQUIRED)
    private Integer isPayed;


    @Override
    public String toString() {
        return "FlowOrderVO{" +
                "orderId=" + orderId +
                "userId=" + userId +
                ", spuId=" + spuId +
                ", orderAmount=" + orderAmount +
                ", isPayed=" + isPayed +
                '}';
    }
}
