
package com.tmerclub.cloud.api.payment.dto;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
/**
 * @author lhd
 * @date 2022/03/13
 */
@Data
public class PayInfoApiDto implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 支付信息，如商品名称
     */
    private String body;

    /**
     * 支付单号
     */
    private Long payId;

    /**
     * 付款金额
     */
    private Long payAmount;

    /**
     * 支付方式
     */
    private Integer payType;

    /**
     * api回调域名
     */
    private String apiNoticeUrl;

    /**
     * 支付完成会跳地址
     */
    private String returnUrl;

    /**
     * 第三方用户id
     */
    private String bizUserId;

    /**
     * 支付回调地址类型
     */
    private Integer backType;

    /**
     * 订单ids
     */
    private String orderIds;

    /**
     * 本次支付关联的退款号
     */
    private Long refundId;
    /**
     * 是否是购买会员
     */
    private Boolean isVip;
    /**
     * 用户id
     */
    private String userId;
    /**
     * 店铺id
     */
    private String shopId;
    /**
     * 系统类型 1:移动端 2:pc
     */
    private Integer systemType;
    /**
     * 交易验证方式 0.仅渠道验证，通商云不做交易验证 1.通商云发送并验证短信验证码，有效期3分钟。2.验证通商云支付密码
     */
    private Long validateType;

    /**
     * 支付入口
     */
    private Integer payEntry;
    /**
     * 扩展信息，通联独有
     */
    private String extendInfo;

    /**
     * 支付系统类型 0默认 1通联
     */
    private Integer paySysType;

    /**
     * 第三方订单流水号
     */
    private String bizPayNo;

    /**
     * 支付的系统类型 1:pc  2:h5  3:小程序 4:安卓  5:ios
     */
    private Integer systemModel;


    @Override
    public String toString() {
        return "PayInfoApiDto{" +
                "body='" + body + '\'' +
                ", payId=" + payId +
                ", payAmount=" + payAmount +
                ", payType=" + payType +
                ", apiNoticeUrl='" + apiNoticeUrl + '\'' +
                ", returnUrl='" + returnUrl + '\'' +
                ", bizUserId='" + bizUserId + '\'' +
                ", backType=" + backType +
                ", orderIds='" + orderIds + '\'' +
                ", refundId=" + refundId +
                ", isVip=" + isVip +
                ", userId='" + userId + '\'' +
                ", shopId='" + shopId + '\'' +
                ", systemType=" + systemType +
                ", validateType=" + validateType +
                ", payEntry=" + payEntry +
                ", extendInfo='" + extendInfo + '\'' +
                ", paySysType=" + paySysType +
                ", bizPayNo=" + bizPayNo +
                ", systemModel=" + systemModel +
                '}';
    }
}
