
package com.tmerclub.cloud.api.product.bo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @Author lth
 * @Date 2021/8/13 15:13
 */
@Data
public class SpuSimpleBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "spuId")
    private Long spuId;

    @Schema(description = "商品id列表")
    private List<Long> spuIds;

    @Schema(description = "商品名称")
    private String spuName;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "店铺id列表")
    private List<Long> shopIds;

    @Schema(description = "商品状态")
    private Integer status;

    @Schema(description = "商品主图")
    private String mainImgUrl;

    @Schema(description = "排序: 1.spuId 正序 2.spuId 倒序")
    private Integer seq;

    @Schema(description = "当前语言")
    private Integer lang;



    @Override
    public String toString() {
        return "SpuSimpleBO{" +
                "spuId=" + spuId +
                ", spuIds=" + spuIds +
                ", spuName='" + spuName + '\'' +
                ", shopId=" + shopId +
                ", shopIds=" + shopIds +
                ", status=" + status +
                ", mainImgUrl='" + mainImgUrl + '\'' +
                ", seq=" + seq +
                ", lang=" + lang +
                '}';
    }
}
