package com.tmerclub.cloud.api.product.feign;


import com.tmerclub.cloud.common.product.dto.StockPointSkuDTO;
import com.tmerclub.cloud.common.product.vo.StockPointSkuVO;
import com.tmerclub.cloud.common.response.ServerResponseEntity;

import java.util.List;

/**
 * @author zp
 */
public interface StockPointFeignClient {

    /**
     * 根据库存点id判断是否有库存数据
     * @param stockPointId
     * @return
     */
    ServerResponseEntity<Integer> countStockList(Long stockPointId);

    /**
     * 获取库存点sku集合
     * @param stockPointSkuDTO 库存点skuDTO
     * @return 库存点sku集合
     */
    List<StockPointSkuVO> listStockPointSku(StockPointSkuDTO stockPointSkuDTO);

    /**
     * 更新库存点和商品关系（删除库存为0的关联数据，库存减少后调用）
     * @param stockPointIds 库存点id集合
     * @param skuIds 商品skuId集合
     */
    void updateStockPointSkuRelate(List<Long> stockPointIds, List<Long> skuIds);

}
