
package com.tmerclub.cloud.api.user.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * @author lhd
 */
@Data
public class CustomerReqDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 时间类型 1:自然日  2:自然周 3:自然月 4:今日实时 5:近七天 6:近30天
     */
    @Schema(description = "时间类型 1:自然日  2:自然周 3:自然月 4:今日实时 5:近七天 6:近30天")
    private Integer dateType;
    /**
     * 开始时间
     */
    @Schema(description = "开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;
    /**
     * 开始时间
     */
    @Schema(description = "开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date dayStartTime;
    /**
     * 结束时间
     */
    @Schema(description = "结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;
    /**
     * 时间
     */
    @Schema(description = "不传字段")
    private Date dateTime;

    /**
     * 店铺id
     */
    @Schema(description = "不传字段")
    private Long shopId;

    /**
     * 第三方系统id 1：微信小程序
     */
    @Schema(description = "不传字段")
    private Integer appId;

    /**
     * 粉丝=付费会员
     */
    private Integer member;

    public CustomerReqDTO() {
    }

    public CustomerReqDTO(Date startTime, Date endTime) {
        this.startTime = startTime;
        this.endTime = endTime;
    }

    @Override
    public String toString() {
        return "CustomerReqDTO{" +
                "dateType=" + dateType +
                ", startTime=" + startTime +
                ", dayStartTime=" + dayStartTime +
                ", endTime=" + endTime +
                ", dateTime=" + dateTime +
                ", shopId=" + shopId +
                ", appId=" + appId +
                ", member=" + member +
                '}';
    }
}
