
package com.tmerclub.cloud.api.user.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author lhd
 * @date 2020/12/30
 */
@Data
@ToString
@Schema(description = "设置用户信息")
public class UserRegisterDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "密码")
    private String password;

    @NotBlank
    @Schema(description = "手机号")
    private String mobile;

    @Schema(description = "tempUid")
    private String tempUid;

    @Schema(description = "校验登陆注册验证码成功的标识")
    private String checkRegisterSmsFlag;


}
