
package com.tmerclub.cloud.api.user.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.Min;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author tmerclub
 * @date 2020/12/22
 */
@Data
@ToString
public class UserScoreLockDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @NotNull(message = "orderId不能为空")
    @Schema(description = "orderId", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long orderId;

    @NotNull(message = "积分数量不能为空")
    @Min(value = 1, message = "积分数量不能为空")
    @Schema(description = "积分数量", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long score;


    private Integer orderType;

    public UserScoreLockDTO() {
    }

    public UserScoreLockDTO(Long orderId, Long score, Integer orderType) {
        this.orderId = orderId;
        this.score = score;
        this.orderType = orderType;
    }


}
