
package com.tmerclub.cloud.api.user.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 用户表VO
 *
 * @author YXF
 * @date 2020-12-08 11:18:04
 */
@Data
@ToString
public class UserApiVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    @Schema(description = "ID")
    private Long userId;

    @Schema(description = "用户名")
    private String userName;

    @Schema(description = "用户昵称")
    private String nickName;

    @Schema(description = "1(男) or 0(女)")
    private String sex;

    @Schema(description = "例如：2009-11-27")
    private String birthDate;

    @Schema(description = "头像图片路径")
    private String pic;

    @Schema(description = "状态 1 正常 0 无效")
    private Integer status;

    @Schema(description = "普通会员等级（冗余字段）")
    private Integer level;

    @Schema(description = "普通会员等级id")
    private Long userLevelId;

    @Schema(description = "普通会员等级名称")
    private String levelName;

    @Schema(description = "付费会员等级")
    private Integer vipLevel;

    @Schema(description = "付费会员等级id")
    private Long vipUserLevelId;

    @Schema(description = "付费会员等级名称")
    private String vipLevelName;

    @Schema(description = "vip开始时间" )
    private Date vipStartTime;

    @Schema(description = "vip结束时间" )
    private Date vipEndTime;

    @Schema(description = "等级条件 0 普通会员 1 付费会员")
    private Integer levelType;

    @Schema(description = "用户手机号")
    private String userMobile;

    @Schema(description = "用户手机号")
    private String phone;

    @Schema(description = "用户付费会员等级 商品个性化推荐 1:开启 0:关闭")
    private Integer prodRecommendation;

    /**
     * openId list
     */
    private List<String> bizUserIdList;


}
