
package com.tmerclub.cloud.rbac.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;
import org.hibernate.validator.constraints.Length;

import java.io.Serial;
import java.io.Serializable;

/**
 * 菜单资源DTO
 *
 * @author tmerclub
 * @date 2020-09-15 16:35:01
 */
@Data
@ToString
public class MenuPermissionDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "菜单资源用户id")
    private Long menuPermissionId;

    @Schema(description = "资源关联菜单")
    private Long menuId;

    @Schema(description = "权限对应的编码")
    private String permission;

    /**
     * 最长32个字符
     */
    @Length(message = "the longest 32 characters ", max = 32)
    @Schema(description = "资源名称")
    private String name;

    @Schema(description = "资源对应服务器路径")
    private String uri;

    @Schema(description = "业务类型 1 店铺菜单 2平台菜单")
    private Integer bizType;

    @Schema(description = "请求方法 1.GET 2.POST 3.PUT 4.DELETE")
    private Integer method;

    @Schema(description = "菜单标题")
    private String menuTitle;


}
