
package com.tmerclub.cloud.biz.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * 消息提醒设置DTO
 *
 * @author tmerclub
 * @date 2022-10-24 13:48:38
 */
@Data
@ToString
public class NotifyTemplateRemindDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "消息提醒设置")
    private Long notifyTemplateRemindId;

    @Schema(description = "消息模板id")
    private Long templateId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "是否开启提醒 1开启 0关闭")
    private Integer isRemind;

    /**
     * 系统类型（1.店铺 2.平台端 3.供应商）
     */
    private Integer sysType;


}
