
package com.tmerclub.cloud.biz.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * 上传文件记录表VO
 *
 * @author YXF
 * @date 2020-11-21 10:21:40
 */
@Data
@ToString
public class AttachFileVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private Long fileId;

    @Schema(description = "文件路径")
    private String filePath;

    @Schema(description = "文件类型")
    private String fileType;

    @Schema(description = "文件名")
    private String fileName;

    @Schema(description = "文件大小")
    private Integer fileSize;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "文件 1:图片 2:视频 3:文件")
    private Integer type;

    @Schema(description = "分组id")
    private Long attachFileGroupId;

    @Schema(description = "系统类型 1.商家端 2.平台端 3.供应商端")
    private Integer sysType;


}
