
package com.tmerclub.cloud.biz.vo;

import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * @author lhd
 * @date 2021/05/08
 */
@Data
@ToString
public class NotifyParamVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 关联的订单id(等级)
     */
    private Long bizId;
    /**
     * 用户id
     */
    private Long userId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 供应商id
     */
    private Long supplierId;

    /**
     * 供应商名称
     */
    private String supplierName;
    /**
     * 商品名称
     */
    private String spuName;

    /**
     * 手机号
     */
    private String mobile;
    /**
     * 发送类型
     * 1.订单催付 2.付款成功通知 3.商家同意退款 4.商家拒绝退款 5.核销提醒  6.发货提醒  7.拼团失败提醒 8.拼团成功提醒 9.拼团开团提醒 10.开通会员提醒
     * 101.退款临近超时提醒 102.确认收货提醒 103.买家发起退款提醒 104.买家已退货提醒
     */
    private Integer sendType;
    /**
     * 实付金额转换成string并除以100
     */
    private String actualTotalStr;

    /**
     * 支付方式
     */
    private Integer payType;
    /**
     * 等级名称
     */
    private String levelName;

    /**
     * 用户昵称
     */
    private String nickName;
    /**
     * 店铺名称
     */
    private String shopName;
    /**
     * 自提点名称
     */
    private String stationName;
    /**
     * 退款备注
     */
    private String remark;

    /**
     * 退款原因
     */
    private String rejectMessage;
    /**
     * 商品数量
     */
    private Integer prodNum;
    /**
     * 金额
     */
    private Double price;

    /**
     * 退款超时时间，小时
     */
    private Long hour;
    /**
     * 开团人数
     */
    private Integer groupCount;

    /**
     * 发货时间
     */
    private Date dvyTime;
    /**
     * 物流编号
     */
    private String dvyFlowId;
    /**
     * 物流公司名称
     */
    private String dvyName;
    /**
     * 取消时间
     */
    private String cancelTime;
    /**
     * 订单创建时间
     */
    private Date createTime;

    /**
     * 关联的商品id
     */
    private Long spuId;

    /**
     * 关联的营销活动id
     */
    private Long activityId;

    /**
     * 关联的营销活动名称
     * @return
     */
    private String activityName;


}
