
package com.tmerclub.cloud.biz.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * VO
 *
 * @author lhd
 * @date 2021-01-04 09:32:38
 */
@Data
@ToString
public class NotifyTemplateVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "消息模板表")
    private Long templateId;

    @Schema(description = "1.订单催付 2.付款成功通知 3.商家同意退款 4.商家拒绝退款 5.核销提醒  6.发货提醒  7.拼团失败提醒 8.拼团成功提醒 " +
            "9.拼团开团提醒 10.会员升级提醒11.退款临近超时提醒 102.确认收货提醒 103.买家发起退款提醒 104.买家已退货提醒")
    private Integer sendType;

    @Schema(description = "通知内容")
    private String message;

    @Schema(description = "通知方式集合用逗号分隔 1.短信 2.公众号 3.站内消息")
    private String notifyTypes;

    @Schema(description = "公众号消息模板code")
    private String mpCode;

    @Schema(description = "消息发送类型 1.平台自行发送类型 2.商家")
    private Integer msgType;

    @Schema(description = "1启用 0禁用")
    private Integer status;

    @Schema(description = "短信模板code")
    private String templateCode;

    /**
     * 可用通知方式集合用逗号分隔 1.短信 2.公众号 3.站内消息
     */
    private List<Integer> templateTypeList;
    /**
     * 可用通知方式集合用逗号分隔 1.短信 2.公众号 3.站内消息
     */
    private Boolean sms;

    private Boolean app;

    private Boolean sub;

    /**
     * 模板关联的会员标签id
     */
    private List<Long> tagIds;


}
