
package com.tmerclub.cloud.common.order.bo;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 配送方式
 *
 * @author tmerclub
 * @date 2020/12/8
 */
public class DeliveryModeBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 用户自提
     */
    @Schema(description = "用户自提", requiredMode = Schema.RequiredMode.REQUIRED)
    private Boolean hasUserPickUp;

    /**
     * 店铺配送
     */
    @Schema(description = "店铺配送", requiredMode = Schema.RequiredMode.REQUIRED)
    private Boolean hasShopDelivery;

    /**
     * 同城配送
     */
    @Schema(description = "同城配送", requiredMode = Schema.RequiredMode.REQUIRED)
    private Boolean hasCityDelivery;

    public Boolean getHasUserPickUp() {
        return hasUserPickUp;
    }

    public void setHasUserPickUp(Boolean hasUserPickUp) {
        this.hasUserPickUp = hasUserPickUp;
    }

    public Boolean getHasShopDelivery() {
        return hasShopDelivery;
    }

    public void setHasShopDelivery(Boolean hasShopDelivery) {
        this.hasShopDelivery = hasShopDelivery;
    }

    public Boolean getHasCityDelivery() {
        return hasCityDelivery;
    }

    public void setHasCityDelivery(Boolean hasCityDelivery) {
        this.hasCityDelivery = hasCityDelivery;
    }

    @Override
    public String toString() {
        return "DeliveryModeBO{" +
                "hasUserPickUp=" + hasUserPickUp +
                ", hasShopDelivery=" + hasShopDelivery +
                ", hasCityDelivery=" + hasCityDelivery +
                '}';
    }
}
