
package com.tmerclub.cloud.im.constants;

/**
 * @author Lzk
 */
public class Constant {

    public static final String USER_PREFIX = "USER_";

    public static final String ONLINE_USER_PREFIX = "ONLINE_USER_";

    public static final String SYS_PREFIX = "SYS_";

    public static final String ONLINE_SYS_PREFIX = "ONLINE_SYS_";

    /**
     * 客服在线Map
     * key格式： SHOP_EMPLOYEE_店铺id_客服id， 如果一个客服账号多次登录的情况，由于没有存储token，所以无法定位到正在连接的具体页面
     * 由于key中包含token，所以一个客服账号多次登录，会有多个key存在
     * 功能：用户端判断客服是否在线、商家端页面中关联新用户消息图标
     */
    public static final String SHOP_EMPLOYEE_PREFIX = "SHOP_EMPLOYEE_";

    /**
     * 客服在线Map
     * key格式： ONLINE_SHOP_EMPLOYEE_店铺id_客服id_token，可准确定位到具体的客服连接，
     * 由于key中包含token，所以一个客服账号多次登录，会有多个key存在
     * 功能：用户端判断客服是否在线、商家端页面中关联新用户消息图标
     */
    public static final String ONLINE_SHOP_EMPLOYEE_PREFIX = "ONLINE_SHOP_EMPLOYEE_";

    /**
     * 店铺客服关联用户Map
     * key格式： IN_CHARGE_SHOP_店铺id_用户id   value: test + 客服id，   可以通过用户和店铺id，获取负责该用户的客服id
     * 功能：将用户的消息发送给指定客服
     */
    public static final String IN_CHARGE_SHOP = "IN_CHARGE_SHOP_";

    public static final String IN_CHARGE_SYS = "IN_CHARGE_SYS_";

    public static final String UNDERLINE = "_";

    public static final String HEART_BEAT = "HEART_BEAT";

    public static final String UNREAD_MESSAGE = "UNREAD_MESSAGE";

    public static final String BRACE_LEFT = "{";

    public static final String BRACE_RIGHT = "}";

    public static final String IM = ".im";

    public static final String UNREAD_SYS_PREFIX = "UNREAD_SYS_PREFIX_";

    public static final String UNREAD_SHOP_PREFIX = "UNREAD_SHOP_PREFIX_";

}
