package com.tmerclub.cloud.cuerecycle.mapper;

import com.tmerclub.cloud.cuerecycle.model.CueOrderFlaw;
import com.tmerclub.cloud.cuerecycle.model.dto.CueOrderFlawDTO;
import com.tmerclub.cloud.cuerecycle.model.vo.CueOrderFlawVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 球杆商品瑕疵项Mapper接口
 *
 * @author : frank
 * @create : 2025-04-15
 */
public interface CueOrderFlawMapper {

    /**
     * 查询球杆商品瑕疵项列表
     *
     * @param cueOrderFlawDTO 查询参数
     * @return 球杆商品瑕疵项列表数据
     */
    List<CueOrderFlawVO> list(@Param("dto") CueOrderFlawDTO cueOrderFlawDTO);

    /**
     * 新增球杆商品瑕疵项
     *
     * @param cueOrderFlaw 新增参数
     * @return 新增结果
     */
    int save(CueOrderFlaw cueOrderFlaw);

    /**
     * 根据订单ID删除球杆商品瑕疵项
     *
     * @param orderId 订单ID
     * @return 删除结果
     */
    int deleteByOrderId(Long orderId);
}