package com.tmerclub.cloud.cuerecycle.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.io.Serializable;

/**
 * 球杆系列对象
 *
 * @author :  frank
 * @create :  2025-04-13
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class CueSeries extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 系列ID
     */
    private Long seriesId;
    /**
     * 关联的品牌ID
     */
    private Long brandId;
    /**
     * 系列名称
     */
    private String seriesName;
    /**
     * 排序
     */
    private Integer seriesSeq;
    /**
     * 状态：0-禁用，1-启用
     */
    private Integer seriesStatus;
    /**
     * 删除状态 0-未删除 1-已删除
     */
    private Integer deleted;
}