package com.tmerclub.cloud.cuerecycle.model.dto;

import com.tmerclub.cloud.common.validate.AddGroup;
import com.tmerclub.cloud.common.validate.EditGroup;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 球杆系列对象
 *
 * @author :  frank
 * @create :  2025-04-13
 */
@Data
public class CueSeriesDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 系列ID
     */
    @NotNull(message = "系列ID不能为空", groups = {EditGroup.class})
    private Long seriesId;
    /**
     * 关联的品牌ID
     */
    @NotNull(message = "未关联球杆品牌", groups = {AddGroup.class})
    private Long brandId;
    /**
     * 系列名称
     */
    @NotBlank(message = "系列名称不能为空", groups = {AddGroup.class})
    private String seriesName;
    /**
     * 排序
     */
    private Integer seriesSeq;
    /**
     * 状态：0-禁用，1-启用
     */
    private Integer seriesStatus;
    /**
     * 删除状态 0-未删除 1-已删除
     */
    private Integer deleted;
}