package com.tmerclub.cloud.cuerecycle.model.dto;

import com.tmerclub.cloud.common.validate.AddGroup;
import com.tmerclub.cloud.common.validate.EditGroup;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 球杆类型对象
 *
 * @author :  frank
 * @create :  2025-04-13
 */
@Data
public class CueTypeDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 类型ID
     */
    @NotNull(message = "类型ID不能为空", groups = {EditGroup.class})
    private Long typeId;
    /**
     * 类型名称
     */
    @NotBlank(message = "类型名称不能为空", groups = {AddGroup.class})
    private String typeName;
    /**
     * 类型图片
     */
    private String typeImage;
    /**
     * 排序
     */
    private Integer typeSeq;
    /**
     * 状态：0-禁用，1-启用
     */
    private Integer typeStatus;
}