package com.tmerclub.cloud.cuerecycle.model.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.io.Serializable;

/**
 * 球杆商品瑕疵项视图对象
 *
 * @author :  frank
 * @create :  2025-04-15
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class CueOrderFlawVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @Schema(description = "主键ID")
    private Long orderFlawId;
    /**
     * 订单ID
     */
    @Schema(description = "订单ID")
    private Long orderId;
    /**
     * 瑕疵ID
     */
    @Schema(description = "瑕疵ID")
    private Long flawId;
    /**
     * 瑕疵名称
     */
    @Schema(description = "瑕疵名称")
    private String flawName;
    /**
     * 是否瑕疵
     */
    @Schema(description = "是否瑕疵")
    private Integer isFlaw;
    /**
     * 影响价格
     */
    @Schema(description = "影响价格")
    private Long flawPrice;

}