
package com.tmerclub.cloud.product.mapper;

import com.tmerclub.cloud.product.model.AttrValue;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 属性值信息
 *
 * @author tmerclub
 * @date 2020-10-28 15:27:24
 */
public interface AttrValueMapper {

    /**
     * 批量删除
     *
     * @param attrValueIds
     */
    void deleteBatch(@Param("attrValueIds") List<Long> attrValueIds);

    /**
     * 保存属性值
     *
     * @param attrValue
     */
    void save(@Param("attrValue") AttrValue attrValue);

    /**
     * 根据属性id， 删除属性值信息
     *
     * @param attrId
     */
    void deleteByAttrId(@Param("attrId") Long attrId);

    /**
     * 根据属性id，获取属性值id列表
     *
     * @param attrId 属性id
     * @return 属性值id列表
     */
    List<Long> getAttrValueIdsByAttrId(@Param("attrId") Long attrId);
}
